---
title: WebGLRenderingContext.frontFace()
slug: Web/API/WebGLRenderingContext/frontFace
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.frontFace()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> specifies whether polygons are front- or back-facing by setting a winding orientation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.frontFace(<var>mode</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>mode</dt>
 <dd>A <a href="/en-US/docs/Web/API/WebGL_API/Types">GLenum</a> type winding orientation. The default value is <code>gl.CCW</code>. Possible values:
 <ul>
  <li><code>gl.CW</code>: Clock-wise winding.</li>
  <li><code>gl.CCW</code>: Counter-clock-wise winding.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.frontFace(gl.CW);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "frontFace")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glFrontFace.xml", "glFrontFace")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.frontFace")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.cullFace()")}}</li>
</ul>
